## WebKitDOMHTMLDocument WebKitDOMHTMLDocument |

## Functions

void | webkit_dom_html_document_close ()
void | webkit_dom_html_document_clear ()
void | webkit_dom_html_document_capture_events ()
void | webkit_dom_html_document_release_events ()
glong | webkit_dom_html_document_get_width ()
glong | webkit_dom_html_document_get_height ()
gchar * | webkit_dom_html_document_get_dir ()
void | webkit_dom_html_document_set_dir ()
gchar * | webkit_dom_html_document_get_bg_color ()
void | webkit_dom_html_document_set_bg_color ()
gchar * | webkit_dom_html_document_get_fg_color ()
void | webkit_dom_html_document_set_fg_color ()
gchar * | webkit_dom_html_document_get_alink_color ()
void | webkit_dom_html_document_set_alink_color ()
gchar * | webkit_dom_html_document_get_link_color ()
void | webkit_dom_html_document_set_link_color ()
gchar * | webkit_dom_html_document_get_vlink_color ()
void | webkit_dom_html_document_set_vlink_color ()
void | webkit_dom_html_document_set_design_mode ()
gchar * | webkit_dom_html_document_get_design_mode ()
gchar * | webkit_dom_html_document_get_compat_mode ()
WebKitDOMHTMLCollection * | webkit_dom_html_document_get_scripts ()
WebKitDOMHTMLCollection * | webkit_dom_html_document_get_embeds ()
WebKitDOMHTMLCollection * | webkit_dom_html_document_get_plugins ()

## Properties

gchar * | alink-color | Read / Write
gchar * | bg-color | Read / Write
gchar * | dir | Read / Write
gchar * | fg-color | Read / Write
glong | height | Read
gchar * | link-color | Read / Write
gchar * | vlink-color | Read / Write
glong | width | Read

## Types and Values

struct | WebKitDOMHTMLDocument

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMDocument
                    ╰── WebKitDOMHTMLDocument

## Implemented Interfaces

WebKitDOMHTMLDocument implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_document_close ()

    void
    webkit_dom_html_document_close (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

### webkit_dom_html_document_clear ()

    void
    webkit_dom_html_document_clear (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

### webkit_dom_html_document_capture_events ()

    void
    webkit_dom_html_document_capture_events
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

### webkit_dom_html_document_release_events ()

    void
    webkit_dom_html_document_release_events
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

### webkit_dom_html_document_get_width ()

    glong
    webkit_dom_html_document_get_width (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A glong

### webkit_dom_html_document_get_height ()

    glong
    webkit_dom_html_document_get_height (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A glong

### webkit_dom_html_document_get_dir ()

    gchar *
    webkit_dom_html_document_get_dir (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_dir ()

    void
    webkit_dom_html_document_set_dir (WebKitDOMHTMLDocument *self,
                                      const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_bg_color ()

    gchar *
    webkit_dom_html_document_get_bg_color (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_bg_color ()

    void
    webkit_dom_html_document_set_bg_color (WebKitDOMHTMLDocument *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_fg_color ()

    gchar *
    webkit_dom_html_document_get_fg_color (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_fg_color ()

    void
    webkit_dom_html_document_set_fg_color (WebKitDOMHTMLDocument *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_alink_color ()

    gchar *
    webkit_dom_html_document_get_alink_color
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_alink_color ()

    void
    webkit_dom_html_document_set_alink_color
                                   (WebKitDOMHTMLDocument *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_link_color ()

    gchar *
    webkit_dom_html_document_get_link_color
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_link_color ()

    void
    webkit_dom_html_document_set_link_color
                                   (WebKitDOMHTMLDocument *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_vlink_color ()

    gchar *
    webkit_dom_html_document_get_vlink_color
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_vlink_color ()

    void
    webkit_dom_html_document_set_vlink_color
                                   (WebKitDOMHTMLDocument *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_set_design_mode ()

    void
    webkit_dom_html_document_set_design_mode
                                   (WebKitDOMHTMLDocument *self,
                                    const gchar *value);

`webkit_dom_html_document_set_design_mode` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_document_set_design_mode()` instead.

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_design_mode ()

    gchar *
    webkit_dom_html_document_get_design_mode
                                   (WebKitDOMHTMLDocument *self);

`webkit_dom_html_document_get_design_mode` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_document_get_design_mode()` instead.

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_get_compat_mode ()

    gchar *
    webkit_dom_html_document_get_compat_mode
                                   (WebKitDOMHTMLDocument *self);

`webkit_dom_html_document_get_compat_mode` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_document_get_compat_mode()` instead.

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_get_scripts ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_document_get_scripts (WebKitDOMHTMLDocument *self);

`webkit_dom_html_document_get_scripts` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_document_get_scripts()` instead.

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_document_get_embeds ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_document_get_embeds (WebKitDOMHTMLDocument *self);

`webkit_dom_html_document_get_embeds` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_document_get_embeds()` instead.

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_document_get_plugins ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_document_get_plugins (WebKitDOMHTMLDocument *self);

`webkit_dom_html_document_get_plugins` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_document_get_plugins()` instead.

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

## Types and Values

### struct WebKitDOMHTMLDocument

    struct WebKitDOMHTMLDocument;

## Property Details

### The `“alink-color”` property

      “alink-color”              gchar *

read-write gchar* HTMLDocument:alink-color.

Flags: Read / Write

Default value: ""

### The `“bg-color”` property

      “bg-color”                 gchar *

read-write gchar* HTMLDocument:bg-color.

Flags: Read / Write

Default value: ""

### The `“dir”` property

      “dir”                      gchar *

read-write gchar* HTMLDocument:dir.

Flags: Read / Write

Default value: ""

### The `“fg-color”` property

      “fg-color”                 gchar *

read-write gchar* HTMLDocument:fg-color.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   glong

read-only glong HTMLDocument:height.

Flags: Read

Default value: 0

### The `“link-color”` property

      “link-color”               gchar *

read-write gchar* HTMLDocument:link-color.

Flags: Read / Write

Default value: ""

### The `“vlink-color”` property

      “vlink-color”              gchar *

read-write gchar* HTMLDocument:vlink-color.

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    glong

read-only glong HTMLDocument:width.

Flags: Read

Default value: 0